Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.gui.application
Class MiningMartMenuBar

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JMenuBar
                      org.musoft.limo.application.MenuBar
                          edu.udo.cs.miningmart.gui.application.MiningMartMenuBar

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.MenuElement, org.musoft.limo.application.ApplicationListener

    public class MiningMartMenuBar

extends org.musoft.limo.application.MenuBar

A `MenuBar` for the `MiningMartApplication`.

Version:
  $Id: MiningMartMenuBar.java,v 1.16 2006/10/06 14:11:30 euler Exp $
Author:
  Daniel Hakenjos
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.musoft.limo.application.MenuBar
`org.musoft.limo.application.MenuBar.RescentCommand`

Nested classes/interfaces inherited from class javax.swing.JMenuBar
`javax.swing.JMenuBar.AccessibleJMenuBar`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`javax.swing.JCheckBoxMenuItem` | `show_annotations`
`javax.swing.JCheckBoxMenuItem` | `show_help`
`javax.swing.JCheckBoxMenuItem` | `show_tools`

Fields inherited from class org.musoft.limo.application.MenuBar
`GTK_LOOK_AND_FEEL, parent, rescentFilesMenu`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`MiningMartMenuBar(org.musoft.limo.application.Application p)` Constructor for MiningMartMenuBar.

Method Summary
`protected javax.swing.JMenu` | `createCaseMenu()` Creates the menu for the case.
`javax.swing.JMenu` | `createCompileMenu()` Create Compile Menu
`javax.swing.JMenu` | `createEditMenu()` Creates the edit-menu.
`javax.swing.JMenu` | `createHelpMenu()` Create a help-menu
`javax.swing.JMenu` | `createInsertMenu()` Create Insert Menu
`protected void` | `createMenus()` Creates the menus.
`org.musoft.limo.application.IconCommandMenu` | `createOperatorMenu()`
`javax.swing.JMenu` | `createToolsMenu()` Create Tools Menu
`javax.swing.JMenu` | `createWindowMenu()` Creates the window-menu.
`org.musoft.limo.application.IconCommandMenu` | `getOperatorsMenu()`
`RecentFiles` | `getRecentCases()` Gets the recent cases.
`void` | `initItemStates()` Inits the states of the menu-items.
`void` | `promptCloseItemStates()` Sets the state of the menu-items when closing a case.
`void` | `promptDoneCompilationItemStates()` Sets the state of the compile menu-items when the compilation is done.
`void` | `promptNewItemStates()` Sets the state of the menu-items for a new case.
`void` | `promptOpenItemStates()` Sets the state of the menu-items after a case was opened.
`void` | `promptStartCompilationItemStates()` Sets the state of the compile menu-items when the compilation starts.
`void` | `promptSwitchEditor()` Switches the mode of the editor in the menu.
`void` | `removeRecentCases()` Removes cases which are not existing.
`void` | `setRecentCases()` Sets the recent cases from the preferences.
`void` | `setRecentCasesGUI()` Sets the GUI of the recent cases.

Methods inherited from class org.musoft.limo.application.MenuBar
`addMenu, addMenuIfPossible, createDebugMenu, createFileMenu, getApplication, onModelCreated, onModelDestroying, onModelLoaded, onModelSaved, onModelSelectionChanged, onStateChanged, setItemState, setRadioItemState, setRecentFiles`

Methods inherited from class javax.swing.JMenuBar
`add, addNotify, getAccessibleContext, getComponent, getComponentAtIndex, getComponentIndex, getHelpMenu, getMargin, getMenu, getMenuCount, getSelectionModel, getSubElements, getUI, getUIClassID, isBorderPainted, isSelected, menuSelectionChanged, paintBorder, paramString, processKeyBinding, processKeyEvent, processMouseEvent, removeNotify, setBorderPainted, setHelpMenu, setMargin, setSelected, setSelectionModel, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### show_tools

    public javax.swing.JCheckBoxMenuItem show_tools

### show_annotations

    public javax.swing.JCheckBoxMenuItem show_annotations

### show_help

    public javax.swing.JCheckBoxMenuItem show_help

Constructor Detail

### MiningMartMenuBar

    public MiningMartMenuBar(org.musoft.limo.application.Application p)

  Constructor for MiningMartMenuBar.

  Parameters:
    `p` - the `Application`.

Method Detail

### createMenus

    protected void createMenus()

  Creates the menus.

  Overrides:
    `createMenus` in class `org.musoft.limo.application.MenuBar`

### getRecentCases

    public RecentFiles getRecentCases()

  Gets the recent cases.

### setRecentCases

    public void setRecentCases()

  Sets the recent cases from the preferences.

  See Also:
    `Application.loadParams()`

### removeRecentCases

    public void removeRecentCases()

  Removes cases which are not existing.

### setRecentCasesGUI

    public void setRecentCasesGUI()

  Sets the GUI of the recent cases.

### initItemStates

    public void initItemStates()

  Inits the states of the menu-items.

### promptStartCompilationItemStates

    public void promptStartCompilationItemStates()

  Sets the state of the compile menu-items when the compilation starts.

### promptDoneCompilationItemStates

    public void promptDoneCompilationItemStates()

  Sets the state of the compile menu-items when the compilation is done.

### promptOpenItemStates

    public void promptOpenItemStates()

  Sets the state of the menu-items after a case was opened.

### promptNewItemStates

    public void promptNewItemStates()

  Sets the state of the menu-items for a new case.

### promptCloseItemStates

    public void promptCloseItemStates()

  Sets the state of the menu-items when closing a case.

### promptSwitchEditor

    public void promptSwitchEditor()

  Switches the mode of the editor in the menu. This means several items are enabled or not.

### createCaseMenu

    protected javax.swing.JMenu createCaseMenu()

  Creates the menu for the case.

### createEditMenu

    public javax.swing.JMenu createEditMenu()

  Creates the edit-menu.

### createWindowMenu

    public javax.swing.JMenu createWindowMenu()

  Creates the window-menu.

  Overrides:
    `createWindowMenu` in class `org.musoft.limo.application.MenuBar`

### createHelpMenu

    public javax.swing.JMenu createHelpMenu()

  Create a help-menu

  Overrides:
    `createHelpMenu` in class `org.musoft.limo.application.MenuBar`

### createCompileMenu

    public javax.swing.JMenu createCompileMenu()

  Create Compile Menu

### createToolsMenu

    public javax.swing.JMenu createToolsMenu()

  Create Tools Menu

### createInsertMenu

    public javax.swing.JMenu createInsertMenu()

  Create Insert Menu

### getOperatorsMenu

    public org.musoft.limo.application.IconCommandMenu getOperatorsMenu()

### createOperatorMenu

    public org.musoft.limo.application.IconCommandMenu createOperatorMenu()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005